# $Revision: 1.92.2.2 $, $Date: 2007/02/26 11:53:47 $
# TODO:
# - split plugins into subpackages. (how? splitting criteria? perhaps by external deps, not by functionality (import/export/..?)
# - disable building of libraries which exist in system (libdv?,libmpeg2 etc.)
# - cmov test is broken, ignores --enable-cmov-extension and tries to read /proc/cpuinfo
# - pvm3 needs recompiled with -fPIC, then it can be used here
#
# Conditional build:
%bcond_without	avifile 	# disable avifile module
%bcond_without	gtk			# disable GTK+ dependent stuff
%bcond_without	im			# disable imagemagick module
%bcond_without	libmpeg2	# disable libmpeg2 support
%bcond_without	libmpeg3	# disable libmpeg3 support
%bcond_without	lzo			# disable lzo support
%bcond_without	mjpeg		# disable mjpegtools support
%bcond_without	sdl			# disable SDL support
%bcond_with	jpegmmx		# jpeg-mmx
%bcond_with	pvm3		# pvm3

# no jpeg-mmx there (doesn't compile)
%ifnarch i586 i686 athlon
%undefine	with_jpegmmx
%endif
# pvm3 needs recompiled with -fPIC
%ifarch %{x8664} alpha
%undefine	with_pvm3
%endif
#
Summary:	Video stream converter
Summary(pl):	Konwerter strumieni video
Name:		transcode
Version:	1.0.2
Release:	3
License:	GPL
Group:		Applications
Source0:	http://www.jakemsr.com/transcode/%{name}-%{version}.tar.gz
# Source0-md5:	e353c0ab7e927a8672528e05a9ae960b
Patch0:		%{name}-ac.patch
Patch1:		%{name}-lzo2.patch
Patch2:		%{name}-bigdir.patch
Patch3:		%{name}-mpeg3.patch
Patch4:		%{name}-libx86_64.patch
Patch5:		%{name}-ffmpeg.patch
URL:		http://www.transcoding.org/
%{?with_im:BuildRequires:	ImageMagick-devel >= 5.4.3}
%{?with_sdl:BuildRequires:	SDL-devel >= 1.1.6}
BuildRequires:	XFree86-devel
BuildRequires:	a52dec-libs-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1.3
%{?with_avifile:BuildRequires:	avifile-devel > 3:0.7.43-1}
BuildRequires:	ffmpeg-devel >= 0.4.9-0.pre1
BuildRequires:	freetype-devel >= 2.1.2
%{?with_gtk:BuildRequires:	gtk+-devel}
%{?with_jpegmmx:BuildRequires:	jpeg-mmx}
BuildRequires:	lame-libs-devel >= 3.89
BuildRequires:	libdv-devel >= 0.104-3
BuildRequires:	libdvdread-devel
BuildRequires:	libfame-devel
BuildRequires:	libjpeg-devel
%{?with_libmpeg3:BuildRequires:	libmpeg3-devel}
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel
%{?with_quicktime:BuildRequires:	libquicktime-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtheora-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
%{?with_lzo:BuildRequires:	lzo-devel >= 2.0}
%{?with_mjpeg:BuildRequires:	mjpegtools-devel}
%{?with_libmpeg2:BuildRequires:	mpeg2dec-devel >= 0.4.0b}
%ifarch %{ix86}
BuildRequires:	nasm >= 0.98.34
%endif
BuildRequires:	pkgconfig
%{?with_pvm3:BuildRequires:	pvm-devel}
BuildRequires:	xvid-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
Linux Video Stream Processing Tool.

%description -l pl
Linuksowe narzdzie do obrbki strumieni video.

%package avilib
Summary:	library to handle avi files from transcode
Summary(pl):	biblioteka do obrbki plikw avi pochodzca z transcode
Group:		Development/Libraries

%description avilib
Avilib is part of transcode made accessible for other programs that
require it. So far I know of one such program - ogmtools.

%description avilib -l pl
Avifile jest czci programu transcode udostpnion dla innych
programw, ktre jej wymagaj. Jak na razie znam jeden taki program -
ogmtools.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# ac_cv_* to avoid detection of libdivxdecore as divx4linux (leading to errors)
# or divx4linux itself (make bcond_with if you want it)
%configure \
	ac_cv_header_decore_h=no \
	ac_cv_header_encore2_h=no \
%ifarch ppc
	--disable-altivec \
%endif
%ifarch %{ix86} %{x8664}
	--enable-mmx \
	--enable-3dnow \
	--enable-sse \
	--enable-sse2 \
%endif
%ifarch %{ix86}
%ifarch i386 i486 i586 \
	--disable-cmov-extension \
%else
	--enable-cmov-extension \
%endif
%endif
	--disable-bktr \
	--disable-bsdav \
	--disable-sunau \
	--enable-a52 \
	--enable-a52-default-decoder \
	--enable-freetype2 \
	--%{!?with_gtk:dis}%{?with_gtk:en}able-gtk \
	--enable-ibp \
	--enable-iconv \
	--enable-imagemagick \
	--enable-lame \
	--enable-libavcodec \
	--enable-libdv \
	--enable-libdvdread \
	--enable-libfame \
	--enable-libjpeg \
	--%{!?with_libmpeg2:dis}%{?with_libmpeg2:en}able-libmpeg2 \
	--%{!?with_libmpeg3:dis}%{?with_libmpeg3:en}able-libmpeg3 \
	--enable-libpostproc \
	--%{!?with_quicktime:dis}%{?with_quicktime:en}able-libquicktime \
	--enable-libxml2 \
	--%{!?with_lzo:dis}%{?with_lzo:en}able-lzo \
	--with-lzo-includes=%{_includedir}/lzo \
	--%{!?with_mjpeg:dis}%{?with_mjpeg:en}able-mjpegtools \
	--enable-netstream \
	--enable-ogg \
	--enable-oss \
	--enable-sdl \
	--enable-statbuffer \
	--enable-theora \
	--enable-v4l \
	--enable-vorbis \
	--enable-xio \
	--%{!?with_avifile:dis}%{?with_avifile:en}able-avifile \
	--%{!?with_jpegmmx:dis}%{?with_jpegmmx:en}able-libjpegmmx \
	--%{!?with_pvm3:dis}%{?with_pvm3:en}able-pvm3 \
	--with-libpostproc-includes=%{_includedir}/postproc \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D avilib/avilib.h $RPM_BUILD_ROOT%{_includedir}/avilib.h

# duplicate
rm -rf $RPM_BUILD_ROOT%{_docdir}/transcode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog docs/README* docs/*.txt docs/html
%attr(755,root,root) %{_bindir}/*
# TODO: split it into subpackages export-*, import-* and filter-*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so*
%attr(755,root,root) %{_libdir}/%{name}/*.awk
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.conf
%{_libdir}/%{name}/*.cfg
%{_mandir}/man1/*

%files avilib
%defattr(644,root,root,755)
%doc avilib/README.avilib
%{_includedir}/avilib.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: transcode.spec,v $
Revision 1.92.2.2  2007/02/26 11:53:47  hawk
- release 3

Revision 1.92.2.1  2006/12/11 23:37:25  glen
- AC-branch

Revision 1.92  2006/12/11 23:36:04  glen
- add -ffmpeg.patch

Revision 1.91  2006/12/11 23:11:55  glen
- proper lzo BR

Revision 1.90  2006/11/17 19:25:28  shadzik
- fix x86_64 again (are we there yet ?)

Revision 1.89  2006/11/17 18:23:48  shadzik
- del LDFLAGS; try to pass proper libdir for x86_64

Revision 1.88  2006/11/17 18:12:40  shadzik
- pass libdir

Revision 1.87  2006/11/17 17:52:50  shadzik
- lzo detection fix

Revision 1.86  2006/11/17 17:37:39  shadzik
- better

Revision 1.85  2006/11/16 17:39:57  czarny
- LDFLAGS, as there were problems on x86_64

Revision 1.84  2006/08/20 15:44:14  arekm
- fix build of import_mpeg3

Revision 1.83  2006/08/20 15:36:59  arekm
- some patches; needs mp3 lib fix

Revision 1.82  2006/04/06 10:16:17  maciek2w
- fixed gtk bcond

Revision 1.81  2006/03/14 18:52:34  wrobell
- added lzo, libmpeg2, mjpeg and quicktime bconds
- fixed gtk bcond
- rel. 1.1

Revision 1.80  2006/01/30 02:14:39  charles
- BR: pkgconfig, sorted BRs, cleanups

Revision 1.79  2005/12/16 09:25:48  qboosh
- merged 1.0.2 from DEVEL; previous version AC-branched
- release 1 (it's in a state not worse than 0.6.12 was)

Revision 1.78  2005/10/31 11:00:48  arekm
- rel 12

Revision 1.77.2.10  2005/12/16 09:22:55  qboosh
- disabling pvm3 until its lib is prepared properly

Revision 1.77.2.9  2005/12/16 09:19:10  qboosh
- don't pass bogus --enable options on archs not supporting them

Revision 1.77.2.8  2005/12/01 14:01:42  qboosh
- updated to 1.0.2
- BR: ffmpeg-devel, avifile-devel without broken includedir

Revision 1.77.2.7  2005/10/12 13:22:12  qboosh
- altivec,pic,amfix,gcc34,libdv-0.103 patches are obsolete
- updated archs which require libpvm3 compiled as PIC

Revision 1.77.2.6  2005/10/10 07:17:03  freetz
- artsc-devel not requred directly (propably avifile thingy)

Revision 1.77.2.5  2005/10/10 07:03:00  freetz
- sorted configure options, fixed avifile conditional build, more BRs

Revision 1.77.2.4  2005/10/09 22:29:16  glen
- jpegmmx off for now

Revision 1.77.2.3  2005/10/09 16:56:08  glen
- adjust jpegmmx bcond undef

Revision 1.77.2.2  2005/10/09 14:23:15  glen
- configure options revamped (old ones were obsolete)
- enable all what possible
- use libquicktime for quicktime (quicktime4linux supported afterall?)

Revision 1.77.2.1  2005/10/09 12:53:35  glen
- 1.0.1, not sure about the patches (plz review)

Revision 1.77  2005/10/06 10:08:56  glen
- rel 11

Revision 1.76  2005/10/06 09:51:14  glen
- update todo

Revision 1.75  2005/10/06 09:49:22  glen
- apply libdv patch

Revision 1.74  2005/10/06 09:43:39  glen
- fixed build on amd64 (will see if others too)

Revision 1.73  2005/10/02 20:15:57  arekm
- rel 10

Revision 1.72  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.71  2005/05/22 09:21:01  qboosh
- updated URLs (but only 0.6.14 and 1.0.0beta* available there)

Revision 1.70  2005/03/29 18:04:26  havner
- rel up for one more rebuild (sparc didn't upgrade ffmpeg)

Revision 1.69  2005/03/29 01:55:37  ankry
- rel. 8 to rebuild with ffmpeg-0.4.9-0.pre1.1

Revision 1.68  2005/03/29 01:55:08  ankry
- reverted; unfinished 0.6.14 went to DEVEL

Revision 1.65  2004/12/11 00:55:12  ankry
- rel. 7

Revision 1.64  2004/12/06 14:47:28  freetz
- added gcc34 patch, NOTE!: homepage/downloads location moved to
  http://www.transcoding.org/ (current version 0.6.14)

Revision 1.63  2004/10/31 15:11:54  paladine
- spaces->tabs
- formatting

Revision 1.62  2004/10/28 09:58:33  paladine
- "GTK+" unification (hope thats all)

Revision 1.61  2004/09/13 23:23:47  qboosh
- disabled PVM - breaks build and nobody cares
- added some missing BRs
- release 6

Revision 1.60  2004/09/12 19:46:32  mmazur
- rel.5.
- fix building on ppc

Revision 1.59  2004/09/11 23:03:05  havner
- exclude alpha, amd64 ppc
- rel 4

Revision 1.58  2004/08/17 15:04:30  ankry
- rel. 3 to rebuild

Revision 1.57  2004/08/08 11:33:53  havner
- rel 2

Revision 1.56  2004/05/08 12:42:17  wrobell
- ver. 0.6.12

Revision 1.55  2004/05/04 18:12:17  havner
- rel up for libdv.so.2

Revision 1.54  2004/03/18 18:26:30  grzegol
- added epoch to avifile requires

Revision 1.53  2004/02/22 13:24:31  averne
- rel 4 for rebuild with new libfame

Revision 1.52  2003/11/14 11:26:29  qboosh
- added workaround for cpuid on x86 to pic patch
- avoid detection of libdivxdecore or divx4linux
- release 3

Revision 1.51  2003/11/14 10:54:33  qboosh
- added opt,pic,amfix,types patches; -fomit... moved to specflags; release 2

Revision 1.50  2003/11/08 20:19:57  qboosh
- removed unused BRs, formatting

Revision 1.49  2003/11/07 15:56:56  wrobell
- ver. 0.6.11

Revision 1.48  2003/10/14 14:58:59  wrobell
- removed unused patches /thanks ankry/

Revision 1.47  2003/10/13 20:09:20  wrobell
- ver. 0.6.10
- some bconds added

Revision 1.46  2003/08/28 19:05:38  wrobell
- rel. 2 to build with new ImageMagick

Revision 1.45  2003/08/17 20:11:45  aflinta
- ups, one destdir patch was missing

Revision 1.44  2003/08/17 07:27:04  aflinta
- version 0.6.9

Revision 1.43  2003/08/13 22:52:23  ankry
- description fixes / unification

Revision 1.42  2003/06/27 21:15:48  qboosh
- missing dir, cleanups, BR: ac,am,gt,lt

Revision 1.41  2003/05/28 13:02:20  malekith
- massive attack: source-md5

Revision 1.40  2003/05/25 06:27:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/02/28 10:08:58  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.38  2003/02/27 07:57:25  misiek
- updated to 0.6.3

Revision 1.37  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.36  2002/11/11 17:30:46  marcus
- really addedd avifile patch

Revision 1.35  2002/11/11 16:57:26  marcus
- rel.2.

Revision 1.34  2002/11/11 16:55:02  marcus
- fix for properly use HAVE_AVIFILE_INC

Revision 1.33  2002/11/09 17:02:14  marcus
- fixed compiling and forced using system's libs

Revision 1.32  2002/11/08 20:47:41  mmazur
- missing plugin

Revision 1.31  2002/09/25 11:23:59  wrobell
- ver. 0.6.1

Revision 1.30  2002/08/15 22:48:09  rrw
- added missing %defattr in avilib subpackage;
- release 4;

Revision 1.29  2002/08/06 11:31:59  marcus
- (re)added todo :>

Revision 1.28  2002/08/06 11:05:48  marcus
- disabled altivec support on ppc (it is configureable form %configure)
- rel.3.

Revision 1.27  2002/08/03 04:11:11  rrw
- added avilib as a separate package (needed by ogmtools);
- release 2;

Revision 1.26  2002/08/02 11:18:47  wrobell
- final 0.6.0

Revision 1.25  2002/08/01 11:44:56  ankry
- removed BuildConflicts: ac3dec-devel
- typo

Revision 1.24  2002/08/01 07:28:29  wrobell
- ver. 0.6.0rc4

Revision 1.23  2002/07/24 12:29:35  kloczek
- !sort BuildRequires rules.

Revision 1.22  2002/07/15 11:42:31  wrobell
- ver. 0.6.0rc3

Revision 1.21  2002/06/23 10:19:49  mkochano
- Version 0.6.0rc2.

Revision 1.20  2002/06/13 10:45:31  wrobell
- 0.6.0rc1

Revision 1.19  2002/05/24 09:50:18  wrobell
- update for 0.6.0pre5

Revision 1.18  2002/05/21 23:14:51  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/29 17:49:48  wrobell
- more docs and manuals

Revision 1.16  2002/03/29 20:12:32  wrobell
- fixed build requirements

Revision 1.15  2002/03/29 15:55:06  wrobell
- ver. 0.6pre4

Revision 1.14  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/25 15:28:44  wrobell
- ver. 0.6.0pre3

Revision 1.12  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/28 12:25:12  wrobell
- adapterized, clean up

Revision 1.10  2002/01/28 11:44:57  wrobell
- huh! it conflicts with quicktime4linux or not?
- added two patches, so:
  - AS is substituted in Makefile files
  - when Magic-config is used then --cppflags option is passed
    instead of --cflags

Revision 1.9  2002/01/23 17:24:27  kloczek
- cosmetics.

Revision 1.8  2002/01/23 17:04:24  wrobell
- start update for 0.6.0pre2

Revision 1.7  2002/01/22 12:51:51  wrobell
- missing required avifile version added

Revision 1.6  2002/01/22 12:50:11  wrobell
- fixed build requirements and conflicts
- requires -fpermissive for g++ /there is 0.6.0pre2 - is it fixed there?/
- created file list, but let's split it into subpackages in the future

Revision 1.5  2002/01/18 02:15:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/14 11:54:30  wrobell
- ver. 0.5.3
- sorted and fixed build requirements
- should build with dv library

Revision 1.3  2001/12/13 11:38:05  qboosh
- adapterized (for Groups)

Revision 1.2  2001/12/12 08:56:06  qboosh
- added URLs and descriptions; NOTE: empty %files...

Revision 1.1  2001/11/29 13:43:20  wrobell
- based on template
- nest
